[package]
name = "DnfUtils"
version = "0.1.0"
edition = "2024"

[lib]
name = "utils"
crate-type = ["staticlib"]

[dependencies]
cxx = "1.0.192"
futures-util = "0.3.31"
indicatif = "0.18.3"
libc = "0.2.180"
reqwest = { version = "0.13.1", default-features = false, features = ["stream", "native-tls"] }
tokio = { version = "1.49.0", features = ["rt-multi-thread", "full"] }

[build-dependencies]
cxx-build = "1.0.192"
